#
# spec file for package ibm-ipr (Version 2.5.2)
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://support.novell.com
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils brp-check-suse build bzip2 coreutils cpio cpp cpp43 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc43 gdbm gettext-runtime gettext-tools glibc glibc-devel glibc-locale gmp grep groff gzip info insserv kernel-default-devel kernel-ppc64-devel kernel-source kernel-syms less libacl libattr libblkid1 libbz2-1 libbz2-devel libdb-4_5 libgcc43 libgomp43 libltdl7 libmpfr1 libncurses5 libreadline5 libselinux1 libsepol1 libstdc++43 libtool libuuid1 libvolume_id1 libxcrypt libzio linux-kernel-headers login m4 make man module-init-tools net-tools netcfg pam pam-modules patch perl perl-TimeDate perl-base permissions popt post-build-checks psmisc rpm rpmlint-Factory rpmlint-mini sed sysvinit tar terminfo-base texinfo timezone util-linux zlib


Name:           ibm-ipr
BuildRequires:  %kernel_module_package_buildreqs
License:        GPL
Group:          System/Kernel
Summary:        IBM Power RAID SCSI Device Driver
Version:        2.5.2
Release:        0
Source0:        %name-%version.tar.bz2
Source1:        Module.supported
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%kernel_module_package

%description
This package contains the ipr.ko module for IBM Power Linux RAID adapters.

%debug_package
%prep
%setup
cp %_sourcedir/Module.supported Module.supported
set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
for flavor in %flavors_to_build; do
        rm -rf obj/$flavor
        cp -r source obj/$flavor
        make -C %{kernel_source $flavor} modules M=$PWD/obj/$flavor
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=%{kernel_module_package_moddir %name}
for flavor in %flavors_to_build; do
        make -C %{kernel_source $flavor} modules_install M=$PWD/obj/$flavor
done

%changelog
